<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#ad85383e5de33bdbbdf04b351cde61aee">algorithmRunning</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#aef1241255931c1e63ca9e7b8a2b7cb5d">combiner</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a2b366d4fc7d44b57856d08b6012932f8">communicationManager</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a106f258f90bfd2f0472a8fa737c9a3bf">computationManager</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a266d8b48979f1d964d964e7377afcff2">computeMSE</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a0531af728454316ed105c2447189eaaa">computeNormalizedSNR</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#aab6193a02d7695dcb4063754dbe80206">computeSNR</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a15f7cc6a3556063b3be00e63d971901e">computeTask</a>(uint_fast32_t maxSS, ALG_INIT *initParams)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a483d74da0c6cb1502b5b9dafb051be77">countSS</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a5f6ed911642988e1ec5f2360445c511b">dataManager</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a89f9d0f9c742ffe86bc1e4920a6b4b3b">flagDirected</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a96db1b5b8c676e3c1f3d435e639992ea">getNumEdges</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a1238277aecc1c5350c74bd28a2607bd9">getNumVertices</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#af9379251034043895769a59c8227c6c2">initGraph</a>(vector&lt; ALG_VERTEX_TYPE &gt; &amp;vertexList)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a1797860626a5dac2be25950035601b51">MaxCollision</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#ad08cf37840aec3785a126b6e86da62a2">memoryUsage</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a16025882369d35896b7ab967e7cbe5cc">mutateDistributedGraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a22aa46f2c287856f6b09a1cf9b4ef65a">mutateLocalSubgraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a5e00f392010c77a7219023868e251a75">mutateProcessOneLine</a>(string localLine, uint_fast32_t *numMessages)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#ae42557dac4f11bf44b5b2e356be14b81">mutationManager</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a067e5ef218b5fdb1cf578c153278f2d6">networkReadGraph</a>(uint_fast32_t readDev, char *fileName=NULL)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#ab0513b16ed34798cc5ba77530a72db08">numDevices</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a05c66184ba54d918adb909e0083d9ebe">numLocalVertices</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a54c0aef72e06fef8e572fbf345bd86e5">numSS</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#aa1bf46c77048de301b8ffaa5db6d51c0">numTotalVertices</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a8180dc18e89037e90f36aa2cf1856c55">rank</a></td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#a32f5e1f861c7fcec1559ae41ab3899b0">readSubgraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#ab030db8ff64e3f7939f195180222e039">remoteMutateDistributedGraph</a>(uint_fast32_t readDev)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#aaaa8ddf968b1aae9a0f823d81f7fbb8b">reset</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a910be54d53fba4d4e790e3292f49daaf">run</a>(uint_fast32_t maxSS=DEFAULT_MAXIMUM_SS, ALG_INIT *initParams=0)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#ac05299bc9f8f2f6f1c6c21163fe92bf2">rxTask</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#ac43d95f673748a9de5b0f9f1e5b48342">tigl</a>(bool isDirected, uint64_t totalVertices, uint_fast32_t idDevice=0, uint_fast32_t totalDevices=1, int allocThreads=NUM_OMP_THREADS)</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtigl.html#aca559d44e16148f7d19455e76fe9caa1">txTask</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtigl.html#a4ebc2b90d2ca33942b78e0d68f39e019">~tigl</a>()</td><td class="entry"><a class="el" href="classtigl.html">tigl&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 17:34:39 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
